﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace Combinator
{
    public class TextWriterLogger : ILogger
    {
        public TextWriter Writer { get; set; }

        public void Write(int level, object[] messages)
        {
            this.Writer.WriteLine(messages.Aggregate("", (s, m) => s + m.ToString()));
            this.Writer.Flush();
        }
    }
}
