﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Combinator
{
    public class TimestampLogger : ILogger
    {
        public ILogger Logger { get; set; }

        public void Write(int level, object[] messages)
        {
            object[] full = new object[] { DateTime.Now.ToString() + ": " }.Concat(messages).ToArray();
            this.Logger.Write(level, full);
        }
    }
}
