﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Combinator;

namespace UIDemo
{
    public class LineNumberLogger : ILogger
    {
        private int counter = 0;

        public ILogger Logger { get; set; }

        public void Write(int level, object[] messages)
        {
            object[] full = new object[] { (++counter).ToString() + ": " }.Concat(messages).ToArray();
            this.Logger.Write(level, full);
        }
    }
}
