﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Combinator;

namespace UIDemo
{
    static class LoggerExtensions
    {
        public static ILogger WithLineNumber(this ILogger logger)
        {
            return new LineNumberLogger()
            {
                Logger = logger
            };
        }
    }
}
