﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Combinator
{
    public class FilterLogger : ILogger
    {
        public Func<int, bool> Condition { get; set; }
        public ILogger Logger { get; set; }

        public void Write(int level, object[] messages)
        {
            if (this.Condition(level))
            {
                this.Logger.Write(level, messages);
            }
        }
    }
}
