﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Combinator
{
    public class SequenceLogger : ILogger
    {
        public ILogger[] Loggers { get; set; }

        public void Write(int level, object[] messages)
        {
            foreach (var logger in this.Loggers)
            {
                logger.Write(level, messages);
            }
        }
    }
}
